Package twisted :: Package web :: Module static

[show private | hide private]
[frames | no frames]

## Module twisted.web.static

I deal with static resources.

Classes
`ASISProcessor` |
`Data` | This is a static, in-memory resource.
`DirectoryListing` |
`File` | File is a resource that represents a plain non-interpreted file (although it can look for an extension like .rpy or .cgi and hand the file to a processor for interpretation if you wish).
`FileTransfer` | A class to represent the transfer of a file over the network.
`Redirect` |
`Registry` | I am a Componentized object that will be made available to internal Twisted file-based dynamic web content such as .rpy and .epy scripts.

Function Summary
| `addSlash(request)`
| ``loadMimeTypes`()` Ugg, does this even need to exist anymore? Stupid stdlib

Variable Summary
`MetaInterface` | `IServiceCollection`
`_Feature` | `nested_scopes`

Function Details

### loadMimeTypes()

Ugg, does this even need to exist anymore? Stupid stdlib

Variable Details

### IServiceCollection

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IServiceCollection'>

### nested_scopes

  Type:
    `_Feature`
  Value:

        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

Generated by Epydoc 1.1 on Thu May 8 13:16:59 2003 | http://epydoc.sf.net